Bug 25677 - Null reference crash on Amazon Fire TV
Summary: Null reference crash on Amazon Fire TV
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-12-31 18:43 UTC by Joel Barsotti
Modified: 2016-11-30 15:59 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Joel Barsotti 2014-12-31 18:43:52 UTC
System.NullReferenceException: Object reference not set to an instance of an object at at Xamarin.Forms.Platform.Android.Platform.UpdateActionBarHomeAsUp (Android.App.ActionBar) at at Xamarin.Forms.Platform.Android.Platform.HideActionBar () at at Xamarin.Forms.Platform.Android.Platform.UpdateActionBar () at at Xamarin.Forms.Platform.Android.Platform.SetPage (Xamarin.Forms.Page) at at Xamarin.Forms.Platform.Android.AndroidActivity.SetPage (Xamarin.Forms.Page) at Unified_Pattern_Generator.Droid.MainActivity.OnCreate (Android.OS.Bundle) [0x00053] in c:\Users\Joel\Documents\Visual Studio 2013\Projects\xxx\Unified Pattern Generator\Unified Pattern Generator\Unified_Pattern_Generator.Android\MainActivity.cs:31 at Android.App.Activity.n_OnCreate_Landroid_os_Bundle_ (intptr,intptr,intptr) [0x00011] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.20-series/ba9bbbdd/source/monodroid/src/Mono.Android/platforms/android-17/src/generated/Android.App.Activity.cs:2120 at at (wrapper dynamic-method) object.69896d32-31da-483d-a1b0-665af9ff71b5 (intptr,intptr,intptr)


Happens on Kindle Fire TV, haven't tested standard Fire tablets or phones.
Comment 1 Atin 2015-01-02 13:12:39 UTC
Hi Joel,

Could you please provide the Xamarin build info via Xamarin studio ->About XamarinStudio->Show details and attached your project? So we can try to reproduce this issue at our end.

Thanks
Comment 3 Joel Barsotti 2015-01-02 13:49:23 UTC
current xamarin studio is 5.5.4 build 15.
Comment 4 Joel Barsotti 2015-01-08 14:48:43 UTC
Just to verify the project works fine on fire tablets, it appears to be specific to the fireTV.
Comment 5 Gleb 2016-01-21 20:20:30 UTC
I finally got tired from the situation with this. It's definitely a bug in the Xamarin code library that is there for 2 years.

Here is a code snippet based on Mono.Cecil that fixes it:
https://gist.github.com/gleblebedev/e89e1d77d76644142d44
Comment 6 Jason Smith [MSFT] 2016-03-25 19:20:08 UTC
We do not currently support FireTV
Comment 7 Samantha Houts [MSFT] 2016-10-20 19:18:35 UTC
Should be fixed in 2.3.4-pre1. Thank you!